Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.acting
Class AbstractFormsAction

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.acting.AbstractFormsAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, Disposable, Serviceable, ThreadSafe

Direct Known Subclasses:
  HandleFormSubmitAction

public abstract class AbstractFormsAction
extends org.apache.cocoon.util.AbstractLogEnabled
implements org.apache.cocoon.acting.Action, ThreadSafe, Serviceable, Disposable

Abstract base class for Cocoon Forms actions.

Version:
  $Id: AbstractFormsAction.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`protected FormManager` | `formManager`
`protected ServiceManager` | `manager`

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`AbstractFormsAction()`

Method Summary
`void` | `dispose()`
`void` | `service(ServiceManager serviceManager)`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.acting.Action
`act`

Field Detail

### manager

    protected ServiceManager manager

### formManager

    protected FormManager formManager

Constructor Detail

### AbstractFormsAction

    public AbstractFormsAction()

Method Detail

### service

    public void service(ServiceManager serviceManager)
                 throws ServiceException

  Specified by:
    `service` in interface `Serviceable`
  Throws:
    `ServiceException`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.